<?php
// error_reporting(true);
// ini_set('error_reporting', E_ALL);

ini_set("display_errors", 1);
error_reporting(E_ALL);

header('Content-Type: application/json');
header("Cache-Control: no-cache");
header("Pragma: no-cache");

include('../conexao.php');

$ct_pasta_de_videos = "CREATE TABLE IF NOT EXISTS `pasta_de_videos` (
`id` int(11) NOT NULL AUTO_INCREMENT,
`caminho` text,
`id_tabela_digital_programacao` int(11) DEFAULT NULL,
`rodou` tinyint(1) DEFAULT '0',
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1";

mysqli_query($con, $ct_pasta_de_videos);

// Obter a maior ordem existente na tabela
$sqlc = "SELECT max(ordem) as ordem FROM tabela_digital_programacao WHERE cod_tv = " . $_POST['cod_tv'] . " ORDER BY ordem DESC";
$max_ordem = mysqli_query($con, $sqlc);

$resultado = mysqli_fetch_assoc($max_ordem);

// Inicializar a ordem
if ($resultado["ordem"] > 0) {
    $ordem = $resultado["ordem"] + 1;
} else {
    $ordem = 1;
}

// Definir o tipo de propaganda
$tipo = $_POST['tipo'] ?: 1;

// Quebrar a string recebida em "arquivo" pelo caractere ","
$arquivos = explode(",", $_POST['arquivo']);

$respostas = array('resp' => 'ok', "erros" => array());

$sql_video = "INSERT INTO tabela_digital_programacao (cod_tv, tipo, ordem, titulo, voltas, arquivo) 
VALUES ('" . $_POST['cod_tv'] . "', '4', '" . $ordem . "', '" . $_POST['titulo'] . "', '1', '')";
$ins_video = mysqli_query($con, $sql_video);


$sql_max_id = "SELECT MAX(id) as ultimo_id FROM tabela_digital_programacao";
$max_id_query = mysqli_query($con, $sql_max_id);

$max_id_resultado = mysqli_fetch_assoc($max_id_query);

$id_pasta_de_video = $max_id_resultado["ultimo_id"];

if(!$ins_video) {
    $respostas["resp"] = "erro";
    $respostas["erros"] = "Erro ao inserir a pasta de vídeo";
    
    exit();
}

foreach ($arquivos as $arquivo) {

    // Inserção do arquivo (vídeo)
    $sql_video = "INSERT INTO pasta_de_videos(caminho, id_tabela_digital_programacao) VALUES ('".$arquivo."', ".$id_pasta_de_video.")";
                      
    $ins_video = mysqli_query($con, $sql_video);

    if (!$ins_video) {
        $respostas['resp'] = 'erro';
        array_push($respostas["erros"], array('sql' => $sql_video, 'arquivo' => $arquivo));
    }

}

echo json_encode($respostas);
?>
